import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { HomeComponent } from './pages/home/home.component';
import { AboutComponent } from './pages/about/about.component';
import { UsersComponent } from './users/users.component';
import { UserComponent } from './user/user.component';
import { NotfoundComponent } from './pages/notfound/notfound.component';
import { AboutTextComponent } from './pages/about-text/about-text.component';
import { UsersGuard } from './guards/users.guard';
import { ExitUsersGuard } from './guards/exitUsers.guard';


let childRoutes: Routes = [
  {path:'text', component : AboutTextComponent},
];

const routes: Routes = [

  {path:'', component : HomeComponent},
  {path:'about', component : AboutComponent, children: childRoutes},
    
  
  {path:'users', component : UsersComponent, canActivate:[UsersGuard], canDeactivate: [ExitUsersGuard]},

  {path:'users/:nmb', component : UserComponent},

  {path:'**', component : NotfoundComponent},


];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
