import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';

import { FormsModule } from '@angular/forms';
import { UsersComponent } from './users/users.component';
import { UserComponent } from './user/user.component';
import { UserFormComponent } from './user-form/user-form.component';
import { UsersService } from './services/users.service';
import { HomeComponent } from './pages/home/home.component';
import { AboutComponent } from './pages/about/about.component';
import { NotfoundComponent } from './pages/notfound/notfound.component';
import { AboutTextComponent } from './pages/about-text/about-text.component';
import { AuthentificateServiceService } from './auth/authentificate-service.service';
import { UsersGuard } from './guards/users.guard';
import { ExitUsersGuard } from './guards/exitUsers.guard';
import { NamePipe } from './pipes/name.pipe';
import { UserPipe } from './pipes/user.pipe';
import { UserNamePipe } from './pipes/user-name.pipe';
import { HttpClientModule } from '@angular/common/http';

@NgModule({
  declarations: [
    AppComponent,
    UsersComponent,
    UserComponent,
    UserFormComponent,
    HomeComponent,
    AboutComponent,
    NotfoundComponent,
    AboutTextComponent,
    NamePipe,
    UserPipe,
    UserNamePipe
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    FormsModule,
    HttpClientModule
  ],
  providers: [UsersService, UsersGuard, AuthentificateServiceService, ExitUsersGuard],
  bootstrap: [AppComponent]
})
export class AppModule { }
